## AwnOverlayProgress AwnOverlayProgress — Progress overlay for use with AwnIcon. |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libawn/libawn.h>

                        AwnOverlayProgress;
    AwnOverlayProgress* awn_overlay_progress_new            (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----AwnOverlay
                   +----AwnOverlayProgress
                         +----AwnOverlayProgressCircle

## Properties

      "percent-complete"         gdouble               : Read / Write / Construct

## Description

Progress overlay used with AwnIcon. This is an abstract type.

## Details

### AwnOverlayProgress

    typedef struct _AwnOverlayProgress AwnOverlayProgress;

Progress overlay used with AwnIcon. This is an abstract type.

### awn_overlay_progress_new ()

    AwnOverlayProgress* awn_overlay_progress_new            (void);

Creates a new instance of AwnOverlayProgress.

Returns : | an instance of AwnOverlayProgress.

## Property Details

### The `"percent-complete"` property

      "percent-complete"         gdouble               : Read / Write / Construct

A property of type double. Set to the completion percentage for the overlay.

Allowed values: [0,100]

Default value: 0

## See Also

#AwnEffects, AwnOverlay, AwnOverlayThemedIcon, AwnOverlayThrobber, AwnOverlayPixbuf, AwnOverlayPixbufFile, AwnIcon